Subject: Re: git: avoiding merges, rebasing

From: Eric Blake <[email-masked]>
Date: Tue, 02 Oct 2007 06:16:25 -0600

[adding the git list]

According to Bruno Haible on 10/2/2007 5:50 AM:
> Hello Benoit,
> 
>>>     $ git stash
>>>     $ git pull
>>>     $ git stash apply
>>>     $ git stash clean              ; typo!
>>>     $ git stash clear              ; fatal correction to typo!
>>>
>>> and lost 20 modified files. Well, not really lost. Just took me a  
>>> while to
>> I don't really see how and why you "lost 20 modified files".
> 
> I lost modifications to 20 files. "git stash clean" moved these modifications
> into a stash named "clean", and "git stash clear" killed it.

While we're at it, I wish 'git stash clear' would take an optional
argument that says which stash(es) to clear, rather than blindly clearing
the entire stash.

Short of that, there's always manually editing .git/logs/refs/stash, to
delete the lines to the stashes you no longer need, without killing the
ones you want kept.

- --
Don't work too hard, make some time for fun as well!

Eric Blake             [email-masked]